Bug 210570 - [NEW PORT] databases/mongodb-rocks: Distributed document-oriented database with a RocksDB Storage Engine
Summary: [NEW PORT] databases/mongodb-rocks: Distributed document-oriented database wi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Boris Samorodov
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-06-25 12:09 UTC by Šimun Mikecin
Modified: 2017-05-11 22:00 UTC (History)
2 users (show)

See Also:
numisemis: maintainer-feedback+


Attachments
shar archive (8.02 KB, application/x-shar)
2016-06-25 12:09 UTC, Šimun Mikecin
no flags Details
shar archive (8.09 KB, text/plain)
2016-06-25 12:51 UTC, Šimun Mikecin
no flags Details
shar archive for version 3.2.8 (8.12 KB, text/plain)
2016-07-19 09:58 UTC, Šimun Mikecin
no flags Details
portlint results (896 bytes, text/plain)
2016-08-12 07:34 UTC, Šimun Mikecin
no flags Details
portlint results (884 bytes, text/plain)
2016-08-16 11:21 UTC, Šimun Mikecin
no flags Details
portlint results (758 bytes, text/plain)
2016-08-17 05:47 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
shar archive (8.14 KB, application/x-shar)
2016-08-17 05:49 UTC, Šimun Mikecin
no flags Details
poudriere results (31.63 KB, application/x-xz)
2016-08-17 05:51 UTC, Šimun Mikecin
no flags Details
shar archive for version 3.2.9 (8.14 KB, application/x-shar)
2016-08-19 05:47 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
poudriere log for version 3.2.9 (31.75 KB, application/x-xz)
2016-08-19 05:49 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
shar archive (8.27 KB, text/plain)
2016-09-21 14:02 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
shar archive for version 3.2.10 (8.28 KB, text/plain)
2016-10-03 11:38 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
shar archive for version 3.4.3 (11.21 KB, text/plain)
2017-03-30 23:15 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details
Shar archive for version 3.4.4 (12.31 KB, text/plain)
2017-05-08 00:02 UTC, Šimun Mikecin
numisemis: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Šimun Mikecin 2016-06-25 12:09:01 UTC
Created attachment 171786 [details]
shar archive

This is a port of a MongoDB database with added support for a RocksDB storage engine.

This cannot be a config option of an existing databases/mongodb32 port because of at least two reasons:

1. mongodb-rocksdb storage engine part is a third-party add on so it is not always updated as a new version of MongoDB is released. It would delay new versions of databases/mongodb32 port.

2. If put as a config option, those that wish to use it will not be able to use a precompiled package. It would be necessary to compile a port from source. It takes a long time to compile MongoDB.

This port required an update to databases/rocksdb port that I submitted in a separate bug report:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210569
Comment 1 Šimun Mikecin 2016-06-25 12:51:51 UTC
Created attachment 171787 [details]
shar archive
Comment 2 Šimun Mikecin 2016-07-19 09:58:15 UTC
Created attachment 172709 [details]
shar archive for version 3.2.8
Comment 3 Šimun Mikecin 2016-08-12 07:34:05 UTC
Created attachment 173564 [details]
portlint results
Comment 4 Šimun Mikecin 2016-08-16 11:21:02 UTC
Created attachment 173731 [details]
portlint results

Passes portlint -ACN.
Comment 5 Šimun Mikecin 2016-08-17 05:47:38 UTC
Created attachment 173761 [details]
portlint results
Comment 6 Šimun Mikecin 2016-08-17 05:49:56 UTC
Created attachment 173762 [details]
shar archive
Comment 7 Šimun Mikecin 2016-08-17 05:51:11 UTC
Created attachment 173763 [details]
poudriere results
Comment 8 Šimun Mikecin 2016-08-19 05:47:51 UTC
Created attachment 173842 [details]
shar archive for version 3.2.9
Comment 9 Šimun Mikecin 2016-08-19 05:49:30 UTC
Created attachment 173843 [details]
poudriere log for version 3.2.9
Comment 10 Šimun Mikecin 2016-09-21 14:02:58 UTC
Created attachment 175034 [details]
shar archive

shar archive that passes Q/A on 11.0-RC2 and 10.3-RELEASE.
Comment 11 Šimun Mikecin 2016-10-03 11:38:18 UTC
Created attachment 175385 [details]
shar archive for version 3.2.10

Updated to 3.2.10
Comment 12 Šimun Mikecin 2017-03-30 23:15:35 UTC
Created attachment 181334 [details]
shar archive for version 3.4.3

Passes lint and Q/A.
Comment 13 Boris Samorodov freebsd_committer 2017-04-26 15:22:48 UTC
Take.
Comment 14 Boris Samorodov freebsd_committer 2017-04-26 15:24:35 UTC
Simun, would you like to update the port to mongodb version 3.4.4?
Comment 15 Šimun Mikecin 2017-05-08 00:02:47 UTC
Created attachment 182377 [details]
Shar archive for version 3.4.4
Comment 16 commit-hook freebsd_committer 2017-05-09 15:35:03 UTC
A commit references this bug:

Author: bsam
Date: Tue May  9 15:34:02 UTC 2017
New revision: 440504
URL: https://svnweb.freebsd.org/changeset/ports/440504

Log:
  New port: databases/mongodb34-rocks.
  This is a port of a MongoDB database with a RocksDB storage engine.

  PR:		210570
  Submitted by:	 ?imun Mikecin <numisemis@yahoo.com>

Changes:
  head/databases/Makefile
  head/databases/mongodb34-rocks/
  head/databases/mongodb34-rocks/Makefile
  head/databases/mongodb34-rocks/distinfo
  head/databases/mongodb34-rocks/files/mongod.in
  head/databases/mongodb34-rocks/files/patch-rpm_mongod.conf
  head/databases/mongodb34-rocks/files/patch-src_mongo_db_fts_unicode_string.cpp
  head/databases/mongodb34-rocks/pkg-descr
  head/databases/mongodb34-rocks/pkg-plist
Comment 17 Boris Samorodov freebsd_committer 2017-05-09 15:40:28 UTC
Committed with tiny changes (hope you are OK with them):
. port origin is databases/mongodb34-rocks;
. an appropriate PKGNAME change.

Thanks!
Comment 18 Šimun Mikecin 2017-05-11 21:48:23 UTC
(In reply to Boris Samorodov from comment #17)
You didn't commit files/mongos.in
Without that file build is broken.
That file is needed for starting mongos as a daemon.
Comment 19 Šimun Mikecin 2017-05-11 22:00:53 UTC
(In reply to Boris Samorodov from comment #17)

I see that you have put this sentence in pkg-descr:
"This port uses a RocksDB Storage Engine as a MongoDB backend."

To be precise and to not misguide users it should be something like:
"This port can optionally use a RocksDB Storage Engine as a MongoDB backend."
That is because this port can use MMAPv1, WiredTiger (those two are built-in backends supported by MongoDB) or RocksDB as a backend.